import { ICascaderItem } from './types';
export declare function isPathEqual(x: ICascaderItem[], y: ICascaderItem[]): boolean;
export declare function union(x: Array<ICascaderItem[]>, y: Array<ICascaderItem[]>): Array<ICascaderItem[]>;
export declare function difference(x: Array<ICascaderItem[]>, y: Array<ICascaderItem[]>): Array<ICascaderItem[]>;
export declare function getPathToNode(node: ICascaderItem): ICascaderItem[];
export declare const getPathLabel: (path: ICascaderItem[]) => string;
export declare const getPathValue: (path: ICascaderItem[]) => string;
